// This is an "interface", unused vars are useful for indicating API
/*eslint no-unused-vars: 0*/
import Errors from '../javascript-errors/javascript-errors';

/**
 * NOTE: Babel + functions that have the same name as their arguments can blow up Babel & Phantom.
 * For that reason, some of these arguments are prefixed with an underscore.
 */

export default class Urls {
    fileChanges(repository, commitRange) {
        throw new Errors.NotImplementedError();
    }

    avatarUrl(person, size) {
        throw new Errors.NotImplementedError();
    }

    user(_user) {
        throw new Errors.NotImplementedError();
    }

    pullRequest(_pullRequest) {
        throw new Errors.NotImplementedError();
    }

    createPullRequest(repository) {
        throw new Errors.NotImplementedError();
    }

    allPullRequests(repository) {
        throw new Errors.NotImplementedError();
    }

    help(key) {
        throw new Errors.NotImplementedError();
    }

    search(query) {
        throw new Errors.NotImplementedError();
    }

    project(project) {
        throw new Errors.NotImplementedError();
    }

    repo(repository) {
        throw new Errors.NotImplementedError();
    }

    remote(repository) {
        throw new Errors.NotImplementedError();
    }
}
